Gaming Using 5.00 M33-6

YoshiRiRu

Member
OP
Newcomer
Joined
Jun 22, 2007
Messages
23
Trophies
0
XP
85
Country
United States
Hello everyone, I just have a few questions. I hope you can help me out.

I just started on the PSP scene a few days ago. I was on the DS scene before and it's admittedly much less complex. I've been reading up on GEN D and such and here's my problem.

What IS the difference between M33 and GEN CFW? Can anybody elaborate on that for me or at least shoot me a link?

I used Chickhen to install M33-6 5.00 on a PSP 1001 and am now using iRSHELL as my GUI. All the blogs I've gone to say all the great things that the GEN CFW does for the PSP Slim and the 3000 model, but no word on the Phat. Does that mean that it's incompatible? If not, how would I go about switching firmwares from m33-6 to GEN? Do I need to start at GEN A? Or can I go straight to GEN D? Do I have to completely remove my current CFW and then reinstall? Or is there a transfer protocol?

This isn't really a "Give me everything now" topic, this is more of a "I'd like to know what it is that I'd be installing." Just a sort of quick rundown on the differences and such. Is Gen an update from m33? Etc.


Thanks in advance!
 

Livin in a box

Livin' in a cardboard box
Member
Joined
Jul 18, 2008
Messages
1,794
Trophies
0
Location
Purgatory
XP
572
Country
GEN is different; you can update directly to 5.50GEN-D using the Xgen updater (which is just what you download- don't worry about it).

GEN allows you to be able to play the newest games without decrypting them manually using UMDGen. A lot will argue that M33 is better, others will say that they're living in the past. But that's basically the main difference, really.
 

triassic911

Burst Mode
Member
Joined
May 9, 2007
Messages
2,746
Trophies
0
Age
31
Location
NYC, USA
Website
google.com
XP
796
Country
United States
GEN is just updated to work with newer games. That's about it.

Lots of homebrew doesn't work for GEN; you have to find a GEN version of the hombrew you are looking for if the original doesn't work.
 

spotanjo3

Well-Known Member
Member
Joined
Nov 6, 2002
Messages
11,071
Trophies
3
XP
5,897
Country
United States
triassic911 said:
GEN is just updated to work with newer games. That's about it.

Lots of homebrew doesn't work for GEN; you have to find a GEN version of the hombrew you are looking for if the original doesn't work.

Really ? SNES emulator, gba emu, nes emu, gbc emu, and Cps1/Cps2 works fine on my GEN 5.50 D2 (FULL)
 

synce

だいこんちゃんのだいふぁん
Member
Joined
Nov 5, 2009
Messages
537
Trophies
0
XP
574
Country
Comoros
If you're using M33, you should really just ask yourself - Am I constantly having issues with my PSP? If the answer is no, you don't need GEN. Basically the main difference for most people is that you don't need to decrypt new games. If you know how to decrypt (takes a minute) it's really not a big deal =P
 

triassic911

Burst Mode
Member
Joined
May 9, 2007
Messages
2,746
Trophies
0
Age
31
Location
NYC, USA
Website
google.com
XP
796
Country
United States
RockmanForte said:
triassic911 said:
GEN is just updated to work with newer games. That's about it.

Lots of homebrew doesn't work for GEN; you have to find a GEN version of the hombrew you are looking for if the original doesn't work.

Really ? SNES emulator, gba emu, nes emu, gbc emu, and Cps1/Cps2 works fine on my GEN 5.50 D2 (FULL)
Yes, the majority work but some homebrew like cwcheat need a gen specific version.
 

xist

ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ
Member
Joined
Jul 14, 2008
Messages
5,859
Trophies
0
XP
973
Country
Give up any 1.50 Homebrew you're using for good if you go to GEN, and additionally the Memory Stick Speed Boost if you have it enabled.
 

Raika

uguu
Member
Joined
Sep 15, 2008
Messages
4,858
Trophies
0
Age
28
Location
uguu
XP
286
Country
GEN allows you to play most new games, since they don't work on m33 unless you decrypt them. And you won't be able to use most homebrew on GEN.
 

piratesmack

Well-Known Member
Member
Joined
Mar 28, 2009
Messages
787
Trophies
0
Age
31
Location
$(pwd)
XP
148
Country
United States
Since you use irshell, you might not want to update.
Gen isn't officially supported by irshell (if that matters to you) and there isn't an irshell patch for gen-d2 yet.

That's the main thing keeping me from updating.
 

clegion

Well-Known Member
Member
Joined
May 5, 2009
Messages
1,612
Trophies
0
Website
cfatalis.blogspot.com
XP
211
Country
United States
triassic911 said:
RockmanForte said:
triassic911 said:
GEN is just updated to work with newer games. That's about it.

Lots of homebrew doesn't work for GEN; you have to find a GEN version of the hombrew you are looking for if the original doesn't work.

Really ? SNES emulator, gba emu, nes emu, gbc emu, and Cps1/Cps2 works fine on my GEN 5.50 D2 (FULL)
Yes, the majority work but some homebrew like cwcheat need a gen specific version.
no, not really i am on gen and my cw cheat work just fine
 

You may also like...

General chit-chat
Help Users
    K3N1 @ K3N1: https://www.ocregister.com/2023/02/07/pirates-of-the-caribbean-riders-rescued-from-sinking-boat-b...